<%@ Language=VBScript   %>
<%    Option Explicit     %>
<%

    '---------------------------------------------------------------------------------------
    ' Copyright (c) Microsoft Corporation.  All rights reserved.
    '--------------------------------------------------------------------------------------

    '-------------------------------------------------------------------------
    ' System Information Status Page
    '-------------------------------------------------------------------------

%>
    <!-- #include virtual="/admin/inc_framework.asp" -->
<%
    '-------------------------------------------------------------------------
    ' Global Variables
    '-------------------------------------------------------------------------
    Dim rc
    Dim page
    Dim HWdisks
    Dim HWdisks_status
    Dim HWcpus
    Dim HWcpus_status
    Dim HWcpusensors
    Dim HWcpusensors_status
    Dim HWfans
    Dim HWfans_status
    Dim HWpsus
    Dim HWpsus_status
    Dim HWboxsensors
    Dim HWboxsensors_status

    Dim SOURCE_FILE
    Const ENABLE_TRACING = TRUE
    SOURCE_FILE = SA_GetScriptFileName()

    '-------------------------------------------------------------------------
    ' Global Form Variables
    '-------------------------------------------------------------------------

    '-------------------------------------------------------------------------
    ' Local Variables
    '-------------------------------------------------------------------------

    Dim L_SIPAGE_TITLE
    Dim L_SIHW_DISKS
    Dim L_SIHW_CPUS
    Dim L_SIHW_CPUSENSORS
    Dim L_SIHW_FANS
    Dim L_SIHW_PSUS
    Dim L_SIHW_BOXSENSORS
    Dim L_SIHW_UNITLED
    Dim L_SIHW_FANLED
    Dim L_SIHW_PSULED
    'error messages
    Dim L_SIWMI_ERROR

    L_SIPAGE_TITLE      =GetLocString("monitor.dll","4C000002", "")
    L_SIHW_DISKS        =GetLocString("monitor.dll","4C000003", "")
    L_SIHW_CPUS			=GetLocString("monitor.dll","4C000004", "")
    L_SIHW_CPUSENSORS   =GetLocString("monitor.dll","4C000005", "")
    L_SIHW_FANS			=GetLocString("monitor.dll","4C000006", "")
    L_SIHW_PSUS			=GetLocString("monitor.dll","4C000007", "")
    L_SIHW_BOXSENSORS   =GetLocString("monitor.dll","4C000008", "")
    L_SIHW_UNITLED   	=GetLocString("monitor.dll","4C000009", "")
    L_SIHW_FANLED   	=GetLocString("monitor.dll","4C000010", "")
    L_SIHW_PSULED   	=GetLocString("monitor.dll","4C000011", "")

    '======================================================
    ' Entry point
    '======================================================

    '
    ' Create Page
    rc = SA_CreatePage( L_SIPAGE_TITLE, "", PT_AREA, page )

    '
    ' Show page
    rc = SA_ShowPage( page )

    Public Function OnClosePage(ByRef PageIn, ByRef Reserved)
        OnClosePage = TRUE
    End Function


    '======================================================
    ' Web Framework Event Handlers
    '======================================================

    '---------------------------------------------------------------------
    ' Function:    OnInitPage
    '
    ' Synopsis:    Called to signal first time processing for this page. Use this method
    '            to do first time initialization tasks.
    '
    ' Returns:    TRUE to indicate initialization was successful. FALSE to indicate
    '            errors. Returning FALSE will cause the page to be abandoned.
    '
    '---------------------------------------------------------------------
    Public Function OnInitPage(ByRef PageIn, ByRef EventArg)
        If ( ENABLE_TRACING ) Then
            Call SA_TraceOut(SOURCE_FILE, "OnInitPage")
        End If

        'OnInitPage = GetSystemInfo()
    End Function


    '---------------------------------------------------------------------
    ' Function:    OnServePageletPage
    '
    ' Synopsis:    Called when the page needs to be served. Use this method to
    '            serve content.
    '
    ' Returns:    TRUE to indicate no problems occured. FALSE to indicate errors.
    '            Returning FALSE will cause the page to be abandoned.
    '
    '---------------------------------------------------------------------
    Public Function OnServeAreaPage(ByRef PageIn, ByRef EventArg)
	    Dim table
        Dim colFlags
        Dim strComputer

        If ( ENABLE_TRACING ) Then
            Call SA_TraceOut(SOURCE_FILE, "OnServePageletPage")
        End If

   %>
        <script language="JavaScript" src="<%=m_VirtualRoot%>inc_global.js">
        </script>

        <script language="JavaScript">
            function Init()
            {
            }
        </script>
<table border="0" cellpadding="0" cellspacing="0" width="550px" class="ObjHeaderFrame" id="moduleContents2">
<tr valign="top">
<td width="550px" valign="top">
<div style="valign:top;width:550px;height:100%;overflow:auto">
<table cols=3 border=0 cellpadding=0 cellspacing=0 width="100%">
 <TR nowrap height=25px>
      <td nowrap class="ObjHeaderTitle">Hardware</td>
      <td nowrap class="ObjHeaderTitle">Information</td>
      <td nowrap class="ObjHeaderTitle">Status</td>
  </tr>

  <%
    Dim objWMIService    'current settings
  	Dim colDisks
  	Dim colTemps
  	Dim objDisk

    Set objWMIService = GetObject("WINMGMTS:{impersonationLevel=impersonate,authenticationLevel=pktPrivacy}!\\" & GetServerName() & "\root\cimv2")
	If Err.Number <> 0 Or IsEmpty(objWMIService) Then
	        Call ServeFailurePage(L_ERR_UNEXPECTED & " " & Err.Description & " " & Err.Number & " " & Err.Source, 2)
	        'execution doesn't return
    End If
  	Set colDisks = objWMIService.ExecQuery("Select * from Microsoft_SA_XRTX_Hw")
    'Response.Write "colDisks = " & colDisks.Count
   	For Each objDisk in colDisks
		Response.Write "<tr id='row0' height='22px' class='AlternatingDark'>"
		Response.Write "<td nowrap class='AlternatingDark'>"
	%>
	<%=L_SIHW_DISKS%>
	<%
		Response.Write "</td>"
		Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.DiskInfo & "&nbsp; Disk(s)</td>"
		Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.DiskStatus & "</td>"
    	Response.Write "</tr>"
		Response.Write "<tr id='row1' height='22px' class='AlternatingLight'>"
		Response.Write "<td nowrap class='AlternatingLight'>"
	%>
	<%=L_SIHW_CPUS%>
	<%
		Response.Write "</td>"
		Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.CPUInfo & "&nbsp; CPU(s)</td>"
		Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.CPUStatus & "</td>"
    	Response.Write "</tr>"
		Response.Write "<tr id='row2' height='22px' class='AlternatingDark'>"
		Response.Write "<td nowrap class='AlternatingDark'>"
	%>
	<%=L_SIHW_CPUSENSORS%>
	<%
		Response.Write "</td>"
		Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.CPUSensorInfo & "&nbsp; Sensors(s)</td>"
		Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.CPUSensorStatus & "</td>"
    	Response.Write "</tr>"
		Response.Write "<tr id='row3' height='22px' class='AlternatingLight'>"
		Response.Write "<td nowrap class='AlternatingLight'>"
	%>
	<%=L_SIHW_BOXSENSORS%>
	<%
		Response.Write "</td>"
		Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.BoxSensorInfo & "&nbsp; Sensors(s)</td>"
		Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.BoxSensorStatus & "</td>"
    	Response.Write "</tr>"
		Response.Write "<tr id='row4' height='22px' class='AlternatingDark'>"
		Response.Write "<td nowrap class='AlternatingDark'>"
	%>
	<%=L_SIHW_FANS%>
	<%
		Response.Write "</td>"
		Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.FanInfo & "&nbsp; Fan(s)</td>"
		Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.FanStatus & "</td>"
    	Response.Write "</tr>"
		Response.Write "<tr id='row5' height='22px' class='AlternatingLight'>"
		Response.Write "<td nowrap class='AlternatingLight'>"
	%>
	<%=L_SIHW_PSUS%>
	<%
		Response.Write "</td>"
		Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.PSUInfo & "&nbsp; PSU(s)</td>"
		Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.PSUStatus & "</td>"
    	Response.Write "</tr>"
		Response.Write "<tr id='row6' height='22px' class='AlternatingDark'>"
		Response.Write "<td nowrap class='AlternatingDark'>"
	%>
	<%=L_SIHW_FANLED%>
	<%
		Response.Write "</td>"
		Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.PSULedInfo & "&nbsp; System fault LED</td>"
		Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.PSULedStatus & "</td>"
		'Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.FanLedInfo & "&nbsp; Fan LED</td>"
		'Response.Write "<td nowrap class='AlternatingDark'>" & ObjDisk.FanLEdStatus & "</td>"
    	Response.Write "</tr>"
		Response.Write "<tr id='row7' height='22px' class='AlternatingLight'>"
		Response.Write "<td nowrap class='AlternatingLight'>"
	%>
	<%=L_SIHW_PSULED%>
	<%
		Response.Write "</td>"
		Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.FanLedInfo & "&nbsp; Chassis Id LED</td>"
		Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.FanLEdStatus

		Dim strXyArray
		strXyArray = Split(ObjDisk.FanLEdStatus)

		if strXyArray(1) = "ON" then
			Response.Write "<a href='glowoff.asp'>(LED OFF)</a>"
		else
			Response.Write "<a href='glowon.asp'>(LED ON)</a>"
		end if

		'Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.PSULedInfo & "&nbsp; PSU LED</td>"
		'Response.Write "<td nowrap class='AlternatingLight'>" & ObjDisk.PSULedStatus & "</td>"
    	Response.Write "</tr>"
	Next
	%>
</table>
</div>
</td></tr></table>

<%
	OnServeAreaPage = TRUE
    End Function
%>