@if exist script goto run_install
@if exist ..\script goto ch_dir

:ch_dir
cd..
goto run_install

@echo script
:run_install
@echo off
 
echo Installing Xyratex Monitoring Services
 
net stop winmgmt
net stop appmgr
net stop srvcsurg
net stop elementmgr
net stop w3svc

rem UNREGISTER DLLS
rem Unregister the XRTX Disk provider
if exist %WINDIR%\system32\ServerAppliance\xrtxdiskprov.dll regsvr32 /u /s %WINDIR%\system32\ServerAppliance\xrtxdiskprov.dll
if exist %WINDIR%\system32\ServerAppliance\mui3\0409\disks.dll del /q %WINDIR%\system32\serverappliance\mui3\0409\disks.dll

rem Unregister the XRTX Hw provider
if exist %WINDIR%\system32\ServerAppliance\xrtxhwprov.dll regsvr32 /u /s %WINDIR%\system32\ServerAppliance\xrtxhwprov.dll
if exist %WINDIR%\system32\ServerAppliance\mui3\0409\monitor.dll del /q %WINDIR%\system32\serverappliance\mui3\0409\monitor.dll

rem Unregister the XRTX Library
if exist %WINDIR%\system32\ServerAppliance\XysysMgmt.dll regsvr32 /u /s %WINDIR%\system32\ServerAppliance\XysysMgmt.dll
if exist %WINDIR%\system32\ServerAppliance\XysysMgmt.dll del /q %WINDIR%\system32\serverappliance\XysysMgmt.dll

rem Unregister the XRTX EEPROM provider
if exist %WINDIR%\system32\ServerAppliance\xrtxeepromprov.dll regsvr32 /u /s %WINDIR%\system32\ServerAppliance\xrtxeepromprov.dll
if exist %WINDIR%\system32\ServerAppliance\xrtxeepromprov.dll del /q %WINDIR%\system32\serverappliance\xrtxeepromprov.dll


rem remove the mof file
if exist %WINDIR%\system32\wbem\mof\good\xrtxdiskprov.mof attrib -r     %WINDIR%\system32\wbem\mof\good\xrtxdiskprov.mof
if exist %WINDIR%\system32\wbem\mof\good\xrtxdiskprov.mof del /q        %WINDIR%\system32\wbem\mof\good\xrtxdiskprov.mof    
if exist %WINDIR%\system32\wbem\mof\good\xrtxhwprov.mof attrib -r     %WINDIR%\system32\wbem\mof\good\xrtxhwprov.mof
if exist %WINDIR%\system32\wbem\mof\good\xrtxhwprov.mof del /q        %WINDIR%\system32\wbem\mof\good\xrtxhwprov.mof 
if exist %WINDIR%\system32\wbem\mof\good\xrtxeepromprov.mof attrib -r     %WINDIR%\system32\wbem\mof\good\xrtxeepromprov.mof
if exist %WINDIR%\system32\wbem\mof\good\xrtxeepromprov.mof del /q        %WINDIR%\system32\wbem\mof\good\xrtxeepromprov.mof 


xcopy .\xrtx\green_led.jpg  		%WINDIR%\system32\serverappliance\web\admin\images\ /Y
xcopy .\xrtx\amber_led.jpg  		%WINDIR%\system32\serverappliance\web\admin\images\ /Y
xcopy .\xrtx\missing_led.jpg  		%WINDIR%\system32\serverappliance\web\admin\images\ /Y
xcopy .\xrtx\blue_led.jpg  		%WINDIR%\system32\serverappliance\web\admin\images\ /Y


rem Remove Registry entries
if exist .\reg\regdel.vbs .\reg\regdel.vbs


rem ==== copy the asp files
xcopy .\script\disk_info.asp         	%WINDIR%\system32\serverappliance\web\admin\disk\  /Y
xcopy .\script\hw_info.asp         	%WINDIR%\system32\serverappliance\web\admin\sysinfo\  /Y
xcopy .\script\system_info.asp    	%WINDIR%\system32\serverappliance\web\admin\sysinfo\  /Y
xcopy .\script\glowOff.asp    		%WINDIR%\system32\serverappliance\web\admin\sysinfo\  /Y
xcopy .\script\glowon.asp    		%WINDIR%\system32\serverappliance\web\admin\sysinfo\  /Y

rem ==== copy the help files
xcopy .\help\_view_disks_information.htm    	%WINDIR%\system32\serverappliance\web\admin\help3\0409\ /Y
xcopy .\help\_view_hardware_information.htm    	%WINDIR%\system32\serverappliance\web\admin\help3\0409\ /Y


rem ================ COPY BINARIES

xcopy .\bin\disks.dll             %WINDIR%\system32\ServerAppliance\mui3\0409\ /Y
xcopy .\bin\monitor.dll           %WINDIR%\system32\ServerAppliance\mui3\0409\ /Y
xcopy .\bin\xrtxdiskprov.dll      %WINDIR%\system32\ServerAppliance\ /Y
xcopy .\bin\xrtxhwprov.dll        %WINDIR%\system32\ServerAppliance\ /Y
xcopy .\bin\lsi\XysysMgmt.dll     %WINDIR%\system32\ServerAppliance\ /Y
xcopy .\bin\xrtxeepromprov.dll    %WINDIR%\system32\ServerAppliance\ /Y
xcopy .\conf\fan_sdr.conf         %WINDIR%\system32\ServerAppliance\ /Y
xcopy .\bin\MSVCRTD.DLL        	  %WINDIR%\system32\ /Y


rem handle localized dlls
rem ================ enter reg keys
regedit /s .\reg\xrtxdisk.reg
regedit /s .\reg\xrtxhw.reg
if exist .\reg\regchg.vbs .\reg\regchg.vbs
regedit /s .\reg\xrtxhwinfohelp.reg
regedit /s .\reg\xrtxdiskhelp.reg

rem =============== copy mof file for the WMI provider
xcopy .\conf\xrtxdiskprov.mof   %WINDIR%\system32\wbem\mof\ /Y
xcopy .\conf\xrtxhwprov.mof     %WINDIR%\system32\wbem\mof\ /Y
xcopy .\conf\xrtxeepromprov.mof     %WINDIR%\system32\wbem\mof\ /Y


rem ======= windows service files  
xcopy .\bin\xysystemcontrol.exe  	%WINDIR%\ /y
xcopy .\bin\atxcli.exe  		%WINDIR%\ /y
xcopy .\bin\XySystemMonitor.exe  	%WINDIR%\system32\ServerAppliance\ /y
xcopy .\driver\Win2kInstall.exe		%WINDIR%\system32\ServerAppliance\ /y
xcopy .\driver\Win2kUnInstall.exe	%WINDIR%\system32\ServerAppliance\ /y

xcopy .\driver\install.vbs		%WINDIR%\system32\ServerAppliance\  /y
xcopy .\driver\driveruninstall.reg  	%WINDIR%\system32\ServerAppliance\ /y
xcopy .\driver\uninstall.vbs  		%WINDIR%\system32\ServerAppliance\ /y
xcopy .\driver\imbdrv.inf		%WINDIR%\system32\ServerAppliance\  /y
xcopy .\driver\imbdrv.sys		%WINDIR%\system32\ServerAppliance\ /y
xcopy .\driver\imbapi.dll		%WINDIR%\system32\ /y
xcopy .\driver\megalib.dll		%WINDIR%\system32\ /y


rem ======= install the driver

%WINDIR%\system32\ServerAppliance\Win2kInstall.exe %WINDIR%\system32\ServerAppliance\imbdrv.inf *IMBDRV


rem ======= install the service

%WINDIR%\system32\ServerAppliance\xysystemmonitor.exe /regserver
%WINDIR%\system32\ServerAppliance\xysystemmonitor.exe /service

%WINDIR%\xysystemcontrol.exe /regserver
%WINDIR%\xysystemcontrol.exe /service

rem ================ REGISTER DLLS
REM ================ register the xrtx providers
regsvr32 /s %WINDIR%\system32\ServerAppliance\XysysMgmt.dll
PING -n 5 127.0.0.1>nul
regsvr32 /s %WINDIR%\system32\ServerAppliance\xrtxdiskprov.dll
PING -n 5 127.0.0.1>nul
regsvr32 /s %WINDIR%\system32\ServerAppliance\xrtxhwprov.dll
PING -n 5 127.0.0.1>nul
regsvr32 /s %WINDIR%\system32\ServerAppliance\xrtxeepromprov.dll
PING -n 5 127.0.0.1>nul

regini security.ini

rem Reboot.
 
echo Successfully installed Xyratex Monitoring Services
%WINDIR%\system32\ServerAppliance\install.vbs
