<%@ Language=VBScript   %>
<%    Option Explicit     %>
<%

    '---------------------------------------------------------------------------------------
    ' Copyright (c) Microsoft Corporation.  All rights reserved.
    '--------------------------------------------------------------------------------------

    '-------------------------------------------------------------------------
    ' Disk Information Status Page
    '-------------------------------------------------------------------------

%>
    <!-- #include virtual="/admin/inc_framework.asp" -->
<%
    '-------------------------------------------------------------------------
    ' Global Variables
    '-------------------------------------------------------------------------
    Dim rc
    Dim page
    Dim HWdiskid
    Dim HWdiskmodel
    Dim HWdiskfw
    Dim HWdiskserial
    Dim HWdisksize
    Dim HWdiskstatus

    Dim SOURCE_FILE
    Const ENABLE_TRACING = TRUE
    SOURCE_FILE = SA_GetScriptFileName()

    '-------------------------------------------------------------------------
    ' Global Form Variables
    '-------------------------------------------------------------------------

    '-------------------------------------------------------------------------
    ' Local Variables
    '-------------------------------------------------------------------------

    Dim L_SIPAGE_TITLE
    Dim L_SIHW_DISKID
    Dim L_SIHW_DISKMODEL
    Dim L_SIHW_DISKFW
    'Dim L_SIHW_DISKSN
    Dim L_SIHW_DISKSIZE
    Dim L_SIHW_DISKSTATUS

    'error messages
    Dim L_SIWMI_ERROR

        L_SIPAGE_TITLE      =GetLocString("disks.dll","4C000002", "")
        L_SIHW_DISKID       =GetLocString("disks.dll","4C000003", "")
        L_SIHW_DISKMODEL	=GetLocString("disks.dll","4C000004", "")
        L_SIHW_DISKFW   	=GetLocString("disks.dll","4C000005", "")
        'L_SIHW_DISKSN		=GetLocString("disks.dll","4C000006", "")
        L_SIHW_DISKSIZE		=GetLocString("disks.dll","4C000007", "")
        L_SIHW_DISKSTATUS   =GetLocString("disks.dll","4C000008", "")

    '======================================================
    ' Entry point
    '======================================================

    '
    ' Create Page
    rc = SA_CreatePage( L_SIPAGE_TITLE, "", PT_AREA, page )

    '
    ' Show page
    rc = SA_ShowPage( page )

    Public Function OnClosePage(ByRef PageIn, ByRef Reserved)
        OnClosePage = TRUE
    End Function


    '======================================================
    ' Web Framework Event Handlers
    '======================================================

    '---------------------------------------------------------------------
    ' Function:    OnInitPage
    '
    ' Synopsis:    Called to signal first time processing for this page. Use this method
    '            to do first time initialization tasks.
    '
    ' Returns:    TRUE to indicate initialization was successful. FALSE to indicate
    '            errors. Returning FALSE will cause the page to be abandoned.
    '
    '---------------------------------------------------------------------
    Public Function OnInitPage(ByRef PageIn, ByRef EventArg)
        If ( ENABLE_TRACING ) Then
            Call SA_TraceOut(SOURCE_FILE, "OnInitPage")
        End If

        'OnInitPage = GetSystemInfo()
    End Function


    '---------------------------------------------------------------------
    ' Function:    OnServePageletPage
    '
    ' Synopsis:    Called when the page needs to be served. Use this method to
    '            serve content.
    '
    ' Returns:    TRUE to indicate no problems occured. FALSE to indicate errors.
    '            Returning FALSE will cause the page to be abandoned.
    '
    '---------------------------------------------------------------------
    Public Function OnServeAreaPage(ByRef PageIn, ByRef EventArg)
	    Dim table
        Dim colFlags
        Dim strComputer

        If ( ENABLE_TRACING ) Then
            Call SA_TraceOut(SOURCE_FILE, "OnServePageletPage")
        End If

   %>
        <script language="JavaScript" src="<%=m_VirtualRoot%>inc_global.js">
        </script>

        <script language="JavaScript">
            function Init()
            {
            }
        </script>
<table border="0" cellpadding="0" cellspacing="0" width="550px" class="ObjHeaderFrame" id="moduleContents2">
<tr valign="top">
<td width="550px" valign="top">
<div style="valign:top;width:550px;height:100%;overflow:auto">
<table cols=3 border=0 cellpadding=0 cellspacing=0 width="100%">
<TR nowrap height=25px>
      <td nowrap align='center' class="ObjHeaderTitle"><%=L_SIHW_DISKID%></td>
      <td nowrap align='center' class="ObjHeaderTitle"><%=L_SIHW_DISKMODEL%></td>
      <td nowrap align='center' class="ObjHeaderTitle"><%=L_SIHW_DISKFW%> </td>
      <td nowrap align='center' class="ObjHeaderTitle"><%=L_SIHW_DISKSIZE%></td>
      <td nowrap align='center' colspan="2" class="ObjHeaderTitle"><%=L_SIHW_DISKSTATUS%></td>

  <%
  Dim objWMIService    'current settings
  	Dim colDisks
  	Dim colTemps
  	Dim objDisk
  	Dim count

    Set objWMIService = GetObject("WINMGMTS:{impersonationLevel=impersonate,authenticationLevel=pktPrivacy}!\\" & GetServerName() & "\root\cimv2")
	If Err.Number <> 0 Or IsEmpty(objWMIService) Then
	        Call ServeFailurePage(L_ERR_UNEXPECTED & " " & Err.Description & " " & Err.Number & " " & Err.Source, 2)
	        'execution doesn't return
    End If
  	Set colDisks = objWMIService.ExecQuery("Select * from Microsoft_SA_XRTX_Disk")
'    Response.Write "colDisks = " & colDisks.Count
   	For Each objDisk in colDisks
   		If count <> 1 Then
			Response.Write "<tr id='row0' height='22px' class='AlternatingDark'>"
			Response.Write "<td nowrap align='left' class='AlternatingDark'>" & ObjDisk.DiskId & "</td>"
			If (ObjDisk.DiskStatus = "Not Present") Then
				Response.Write "<td nowrap align='left' class='AlternatingDark'> - </td>"
				Response.Write "<td nowrap align='left' class='AlternatingDark'> - </td>"
				'Response.Write "<td nowrap align='left' class='AlternatingDark'> - </td>"
				Response.Write "<td nowrap align='right' class='AlternatingDark'> - </td>"
			Else
				Response.Write "<td nowrap align='left' class='AlternatingDark'>" & ObjDisk.DiskModel & "</td>"
				Response.Write "<td nowrap align='left' class='AlternatingDark'>" & ObjDisk.DiskFW & "</td>"
				'Response.Write "<td nowrap align='left' class='AlternatingDark'>" & ObjDisk.DiskSN & "</td>"
				Response.Write "<td nowrap align='right' class='AlternatingDark'>" & ObjDisk.DiskSize & "&nbsp;GB </td>"
			End If
			Response.Write "<td nowrap align='right' class='AlternatingDark'>" & ObjDisk.DiskStatus & "</td>"
			If (ObjDisk.DiskStatus = "Ok") Then
				Response.Write "<td nowrap align='right' class='AlternatingDark'><img src='/admin/images/green_led.jpg' border='0'></td>"
			Else
			End If
			If (ObjDisk.DiskStatus = "Failed") Then
				Response.Write "<td nowrap align='right' class='AlternatingDark'><img src='/admin/images/amber_led.jpg' border='0'></td>"
			Else
			End If
			If (ObjDisk.DiskStatus = "Not Present") Then
				Response.Write "<td nowrap align='right' class='AlternatingDark'><img src='/admin/images/missing_led.jpg' border='0'></td>"
			Else
			End If
			count=1
		Else
			Response.Write "<tr id='row0' height='22px' class='AlternatingLight'>"
			Response.Write "<td nowrap align='left' class='AlternatingLight'>" & ObjDisk.DiskId & "</td>"
			If (ObjDisk.DiskStatus = "Not Present") Then
				Response.Write "<td nowrap align='left' class='AlternatingLight'> - </td>"
				Response.Write "<td nowrap align='left' class='AlternatingLight'> - </td>"
				'Response.Write "<td nowrap align='left' class='AlternatingLight'> - </td>"
				Response.Write "<td nowrap align='right' class='AlternatingLight'> - </td>"
			Else
				Response.Write "<td nowrap align='left' class='AlternatingLight'>" & ObjDisk.DiskModel & "</td>"
				Response.Write "<td nowrap align='left' class='AlternatingLight'>" & ObjDisk.DiskFW & "</td>"
				'Response.Write "<td nowrap align='left' class='AlternatingLight'>" & ObjDisk.DiskSN & "</td>"
				Response.Write "<td nowrap align='right' class='AlternatingLight'>" & ObjDisk.DiskSize & "&nbsp;GB </td>"
			End If
			Response.Write "<td nowrap align='right' class='AlternatingLight'>" & ObjDisk.DiskStatus & "</td>"
			If (ObjDisk.DiskStatus = "Ok") Then
				Response.Write "<td nowrap align='right' class='AlternatingLight'><img src='/admin/images/green_led.jpg' border='0'></td>"
			Else
			End If
			If (ObjDisk.DiskStatus = "Failed") Then
				Response.Write "<td nowrap align='right' class='AlternatingLight'><img src='/admin/images/amber_led.jpg' border='0'></td>"
			Else
			End If
			If (ObjDisk.DiskStatus = "Not Present") Then
				Response.Write "<td nowrap align='right' class='AlternatingLight'><img src='/admin/images/missing_led.jpg' border='0'></td>"
			Else
			End If
			count=0
		End If
		Response.Write "</tr>"
	Next
	%>

</table>
</div>
</td></tr></table>

<%
		OnServeAreaPage = TRUE
	    End Function
%>